kdecore Library: KNetwork::KDatagramPacket Class Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KNetwork::KDatagramPacket Class Reference

one datagram More...

`#include <kdatagramsocket.h>`

Collaboration diagram for KNetwork::KDatagramPacket:

[legend]
List of all members.

## Public Member Functions
| KDatagramPacket ()
| KDatagramPacket (const QByteArray &content)
| KDatagramPacket (const char *content, uint length)
| KDatagramPacket (const QByteArray &content, const KSocketAddress &addr)
| KDatagramPacket (const char *content, uint length, const KSocketAddress &addr)
| KDatagramPacket (const KDatagramPacket &other)
| ~KDatagramPacket ()
const QByteArray & | data () const
uint | length () const
uint | size () const
bool | isEmpty () const
bool | isNull () const
const KSocketAddress & | address () const
void | setAddress (const KSocketAddress &addr)
void | detach ()
void | setData (const QByteArray &data)
void | setData (const char *data, uint length)

## Detailed Description

one datagram

This object represents one datagram of data sent or received through a datagram socket (as KDatagramSocket or derived classes). A datagram consists of data as well as a network address associated (whither to send the data or whence it came).

This is a lightweight class. Data is stored in a QByteArray, which means that it is explicitly shared.

Author:
  Thiago Macieira <thiago.macieira@kdemail.net>

Definition at line 51 of file kdatagramsocket.h.

## Constructor & Destructor Documentation

KNetwork::KDatagramPacket::KDatagramPacket | ( |  | ) | `[inline]`

| Default constructor. Definition at line 60 of file kdatagramsocket.h.

KNetwork::KDatagramPacket::KDatagramPacket | ( | const QByteArray & | content | ) | `[inline]`

| Constructs the datagram with the specified content. Definition at line 66 of file kdatagramsocket.h.

KNetwork::KDatagramPacket::KDatagramPacket | ( | const char * | content,
|  | uint | length
| ) | `[inline]`

| Constructs the datagram with the specified content. See also: setData for information on data sharing. Definition at line 75 of file kdatagramsocket.h.

KNetwork::KDatagramPacket::KDatagramPacket | ( | const QByteArray & | content,
|  | const KSocketAddress & | addr
| ) | `[inline]`

| Constructs the datagram with the specified content and address. Definition at line 81 of file kdatagramsocket.h.

KNetwork::KDatagramPacket::KDatagramPacket | ( | const char * | content,
|  | uint | length,
|  | const KSocketAddress & | addr
| ) | `[inline]`

| Constructs the datagram with the specified content and address. Definition at line 88 of file kdatagramsocket.h.

KNetwork::KDatagramPacket::KDatagramPacket | ( | const KDatagramPacket & | other | ) | `[inline]`

| Copy constructor. Note that data is explicitly shared. Definition at line 95 of file kdatagramsocket.h.

KNetwork::KDatagramPacket::~KDatagramPacket | ( |  | ) | `[inline]`

| Destructor. Non-virtual. Definition at line 101 of file kdatagramsocket.h.

## Member Function Documentation

const QByteArray& KNetwork::KDatagramPacket::data | ( |  | ) | const`[inline]`

| Returns the data. Definition at line 107 of file kdatagramsocket.h.

uint KNetwork::KDatagramPacket::length | ( |  | ) | const`[inline]`

| Returns the data length. Definition at line 113 of file kdatagramsocket.h.

uint KNetwork::KDatagramPacket::size | ( |  | ) | const`[inline]`

| Returns the data length. Definition at line 119 of file kdatagramsocket.h.

bool KNetwork::KDatagramPacket::isEmpty | ( |  | ) | const`[inline]`

| Returns true if this object is empty. Definition at line 125 of file kdatagramsocket.h.

bool KNetwork::KDatagramPacket::isNull | ( |  | ) | const`[inline]`

| Returns true if this object is null. Definition at line 131 of file kdatagramsocket.h.

const KSocketAddress& KNetwork::KDatagramPacket::address | ( |  | ) | const`[inline]`

| Returns the socket address. Definition at line 137 of file kdatagramsocket.h.

void KNetwork::KDatagramPacket::setAddress | ( | const KSocketAddress & | addr | ) | `[inline]`

| Sets the address stored to the given value. Definition at line 143 of file kdatagramsocket.h.

void KNetwork::KDatagramPacket::detach | ( |  | ) | `[inline]`

| Detaches our data from a shared pool. See also: QByteArray::detach Definition at line 150 of file kdatagramsocket.h.

void KNetwork::KDatagramPacket::setData | ( | const QByteArray & | data | ) | `[inline]`

| Sets the data to the given value. Data is explicitly shared. Definition at line 156 of file kdatagramsocket.h.

void KNetwork::KDatagramPacket::setData | ( | const char * | data,
|  | uint | length
| ) | `[inline]`

| Sets the data to the given buffer and size. Definition at line 162 of file kdatagramsocket.h.

The documentation for this class was generated from the following file:

- kdatagramsocket.h

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:19:16 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003